Subject: Re: [HOSTAP] Make debug a run-time option

From: "John W. Linville" <[email-masked]>
Date: Wed, 14 Mar 2007 15:48:00 -0400

On Wed, Mar 14, 2007 at 05:17:42PM +0000, Jouni Malinen wrote:
> On Wed, Mar 14, 2007 at 12:03:56PM -0400, Kyle McMartin wrote:
> > Build-time debugging isn't overly useful for distro kernel folks, nor is
> > enabling huge amounts of debug spew by default. Provide the option of
> > enabling debugging with module parameters.
> 
> While I understand that it would be difficult to change the debug level
> options with binary distributions, I'm not sure whether I would like to
> see these changes going in. PRISM2_NO_DEBUG was added to make it
> possible to reduce the driver size considerably. In addition, the change

What about a combined approach?  The existing compile-time option
could remain while runtime restrictions could be added for when the
debug stuff is compiled into the driver?

John
-- 
John W. Linville
[email-masked]